using System;
using System.IO;

public static class FileSearcherHelper
{
	public static void IterateAllFiles(string dir, string pattern, Action<string> action)
	{
		foreach (string directory in Directory.GetDirectories(dir))
		{
			IterateAllFiles(directory, pattern, action);
		}

		foreach (string file in Directory.GetFiles(dir, pattern))
		{
			action(file);
		}
	}
}